[lfs-support] check 0.9.9 (5.13) fails

Bruce Dubbs bruce.dubbs at gmail.com
Mon Nov 12 10:10:18 PST 2012


Tobias Gasser wrote:
> Am 12.11.2012 11:15, schrieb Tobias Gasser:
>
>> /STAGE1/lib/gcc/x86_64-unknown-linux-gnu/4.7.2/../../../../x86_64-unknown-linux-gnu/bin/ld:
>> note: 'pthread_create@@GLIBC_2.2.5' is defined in DSO
>> /STAGE1/lib/libpthread.so.0 so try adding it to the linker command line
>
>
> i was a little hasty writing my previous mail.
>
> adding
>
> CFLAGS="-L/STAGE1/lib -lpthread" make...
>
> fixes the problem
>
> configure confirms to miss libpthread, but does not throw an error!
>
> checking whether unsetenv is declared... yes
> checking for the pthreads library -lpthreads... no
> checking whether pthreads work without any flags... yes
> checking for joinable pthread attribute... PTHREAD_CREATE_JOINABLE
> checking if more special flags are required for pthreads... no
> checking for gawk... /usr/bin/gawk

check is only built in Chapter 5 and you don't mention your host system. 
  I've seen the error before in BLFS and figured it was a mismatch in 
autotools and used something similar to your workaround above.

   -- Bruce




More information about the lfs-support mailing list